---
updatedAt: 2026-05-19T16:20:43.000Z
agentTools:
  projectIndex: https://docs.gtm.ai/llms.txt
---

# Enrich Technologies

Return a list of technologies from ZoomInfo's company data that match to the provided company. Technologies data provides
a list of technologies that ZoomInfo has identified the matched company is using. These technologies are identified through
analyzing company websites, analyzing job postings, company and partnership announcements, data partnerships, ai models, and 
many other methods.

With reference to ZoomInfo's [Credit Usage and Limits](doc:credit-usage-and-limits), this endpoint will charge a single credit
for the company that is enriched, and the company is also counted as a Record. Each successful response will count as a 
Request credit.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Data API V1",
    "version": "1.0",
    "contact": {
      "name": "ZoomInfo Customer Support",
      "email": "help@zoominfo.com"
    },
    "description": "The Data API"
  },
  "tags": [
    {
      "name": "Enrich"
    }
  ],
  "paths": {
    "/data/v1/companies/technologies/enrich": {
      "post": {
        "operationId": "EnrichInterface_enrichTechnology",
        "summary": "Enrich Technologies",
        "description": "Return a list of technologies from ZoomInfo's company data that match to the provided company. Technologies data provides\na list of technologies that ZoomInfo has identified the matched company is using. These technologies are identified through\nanalyzing company websites, analyzing job postings, company and partnership announcements, data partnerships, ai models, and \nmany other methods.\n\nWith reference to ZoomInfo's [Credit Usage and Limits](https://docs.gtm.ai/zoominfoenterprise/docs/credit-usage-and-limits), this endpoint will charge a single credit\nfor the company that is enriched, and the company is also counted as a Record. Each successful response will count as a \nRequest credit.",
        "parameters": [],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/TechnologyEnrichResponse"
                },
                "examples": {
                  "Enrich technologies for a specified company": {
                    "summary": "Enrich technologies for a specified company",
                    "description": "This example demonstrates how to enrich technologies data using a companyId. The response includes the technologies associated for that company. You can include a single input criteria in a single enrich request.",
                    "value": {
                      "data": [
                        {
                          "type": "Technology",
                          "id": "24128",
                          "attributes": {
                            "attribute": "333.198.20393979",
                            "category": "File Sharing",
                            "categoryParent": "Communication and Collaboration",
                            "createdDate": "2016-07-16",
                            "description": "Jupyter is an open source project that offers a web application for making and sharing documents. It supports more than 40 programming languages, allows sharing notebooks with others, manages authentication, and leverages big data tools.",
                            "domain": "jupyter.org",
                            "logo": "https://res.cloudinary.com/zoominfo-com/image/upload/w_100,h_100,c_fit/jupyter.org",
                            "modifiedDate": "2020-12-08",
                            "product": "Jupyter",
                            "vendor": "Project Jupyter",
                            "website": "http://jupyter.org/"
                          }
                        }
                      ],
                      "meta": {
                        "totalResults": 1
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          }
        },
        "tags": [
          "Enrich"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/vnd.api+json": {
              "schema": {
                "$ref": "#/components/schemas/TechnologyEnrichRequest"
              },
              "examples": {
                "Enrich technologies for a specified company": {
                  "summary": "Enrich technologies for a specified company",
                  "description": "This example demonstrates how to enrich technologies data using a companyId. The response includes the technologies associated for that company. You can include a single input criteria in a single enrich request.",
                  "value": {
                    "data": {
                      "type": "TechnologyEnrich",
                      "attributes": {
                        "companyId": 344589814
                      }
                    }
                  }
                }
              }
            }
          },
          "description": "The request body containing company technologies enrich criteria."
        },
        "security": [
          {
            "OAuth2Auth": [
              "api:data:company"
            ]
          }
        ],
        "x-additional-content-types": [
          "application/json"
        ],
        "x-api-roles": [
          "fea:zia",
          "fea:api"
        ],
        "x-api-role-requirement": "ANY_REQUIRED"
      }
    }
  },
  "security": [
    {
      "OAuth2Auth": []
    }
  ],
  "components": {
    "schemas": {
      "ZoomInfo.Core.Foundations.ErrorSourceModel": {
        "type": "object",
        "properties": {
          "cookie": {
            "type": "string",
            "description": "Identifies the cookie name that caused the issue"
          },
          "header": {
            "type": "string",
            "description": "Identifies the header name that caused the error"
          },
          "pointer": {
            "type": "string",
            "description": "An RFC 6901 compliant JSON pointer to the entity in the request body that caused the error"
          },
          "parameter": {
            "type": "string",
            "description": "The name of the path or query parameter that caused the error"
          }
        }
      },
      "ZoomInfo.Core.Foundations.ErrorModel": {
        "type": "object",
        "required": [
          "id",
          "code",
          "status"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique id used to identify this specific error instance"
          },
          "code": {
            "type": "string",
            "description": "The error code describing the error category. A full list of error codes can be found in the documentation for each service"
          },
          "detail": {
            "type": "string",
            "description": "Message containing the specific details about this occurrence of the error"
          },
          "source": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorSourceModel"
              }
            ],
            "description": "An optional object identifying which part of the request caused the error"
          },
          "status": {
            "type": "string",
            "description": "The HTTP status code for the error"
          },
          "title": {
            "type": "string",
            "description": "The error name that describes this type of error"
          }
        },
        "description": "The object describing a specific error from the API"
      },
      "ZoomInfo.Core.Foundations.ErrorResponseModel": {
        "type": "object",
        "required": [
          "errors"
        ],
        "properties": {
          "detail": {
            "type": "string",
            "description": "A high-level detail of the error(s) that occurred during the request"
          },
          "title": {
            "type": "string",
            "description": "A high-level summary of the error(s) detected"
          },
          "errors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorModel"
            },
            "description": "The list of errors raised during the request"
          }
        },
        "description": "The standard error response body model for the ZoomInfo API."
      },
      "TechnologyEnrichResponseAttributes": {
        "type": "object",
        "properties": {
          "categoryParent": {
            "type": "string",
            "description": "Parent Category for the retrieved data."
          },
          "category": {
            "type": "string",
            "description": "Category for the retrieved data."
          },
          "vendor": {
            "type": "string",
            "description": "Vendor associated with the data being returned."
          },
          "product": {
            "type": "string",
            "description": "Product associated with the data being returned."
          },
          "attribute": {
            "type": "string",
            "description": "Attribute of the technology."
          },
          "website": {
            "type": "string",
            "description": "Website associated with the data being returned."
          },
          "logo": {
            "type": "string",
            "description": "The URL which can be used to retrieve the logo."
          },
          "domain": {
            "type": "string",
            "description": "Domain associated with the data being returned."
          },
          "createdDate": {
            "type": "string",
            "format": "date",
            "description": "Date when the data was created. Uses YYYY-MM-DD format."
          },
          "modifiedDate": {
            "type": "string",
            "format": "date",
            "description": "Date when the data was last modified. Uses YYYY-MM-DD format."
          },
          "description": {
            "type": "string",
            "description": "Description of the data being returned."
          }
        },
        "description": "Technology enrich response attributes.",
        "x-class-extra-annotation": "@com.fasterxml.jackson.annotation.JsonIgnoreProperties(ignoreUnknown = true)"
      },
      "TechnologyEnrichResponseResource": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "Technology",
            "pattern": "Technology"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/TechnologyEnrichResponseAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Technology enrich response resource."
      },
      "NonPaginatedResultMeta": {
        "type": "object",
        "required": [
          "totalResults"
        ],
        "properties": {
          "totalResults": {
            "type": "integer",
            "format": "uint32",
            "description": "The total number of results based on the specified filters"
          }
        },
        "description": "Metadata for non-paginated results, including the total number of results"
      },
      "TechnologyEnrichResponse": {
        "type": "object",
        "required": [
          "data"
        ],
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/TechnologyEnrichResponseResource"
            },
            "description": "The primary data of the document"
          },
          "meta": {
            "allOf": [
              {
                "$ref": "#/components/schemas/NonPaginatedResultMeta"
              }
            ],
            "description": "Non-standard meta information about the document"
          }
        },
        "description": "Technology enrich response."
      },
      "TechnologyEnrichRequestAttributes": {
        "type": "object",
        "properties": {
          "companyId": {
            "type": "integer",
            "format": "int64",
            "description": "Unique ZoomInfo Identifier for the company."
          }
        },
        "description": "Request attributes for technology enrich."
      },
      "TechnologyEnrichRequestResource": {
        "type": "object",
        "required": [
          "type",
          "attributes"
        ],
        "properties": {
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "TechnologyEnrich",
            "pattern": "TechnologyEnrich"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/TechnologyEnrichRequestAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Technology enrich request resource."
      },
      "TechnologyEnrichRequest": {
        "type": "object",
        "required": [
          "data"
        ],
        "properties": {
          "data": {
            "allOf": [
              {
                "$ref": "#/components/schemas/TechnologyEnrichRequestResource"
              }
            ],
            "description": "The primary data of the document"
          }
        },
        "description": "Technology enrich request."
      }
    },
    "securitySchemes": {
      "OAuth2Auth": {
        "type": "oauth2",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "https://login.zoominfo.com",
            "tokenUrl": "https://okta-login.zoominfo.com/oauth2/default/v1/token",
            "scopes": {
              "api:data:contact": "Ability to search and enrich ZoomInfo Contact data",
              "api:data:company": "Ability to search and enrich ZoomInfo Company data",
              "api:data:intent": "Ability to search and enrich ZoomInfo Intent data",
              "api:data:news": "Ability to search and enrich ZoomInfo News data",
              "api:data:scoops": "Ability to search and enrich ZoomInfo Scoop data",
              "api:data:lookup": "Lookup ZoomInfo Data"
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api.zoominfo.com/gtm",
      "description": "Base URL for the Data API"
    }
  ]
}
```

# Sibling pages

* [Enrich Contacts](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichcontact.md)
* [Enrich Companies](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichcompany.md)
* [Enrich Corporate Hierarchy](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichcorporatehierarchy.md)
* [Enrich Intent](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichintent.md)
* [Enrich News](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichnews.md)
* [Enrich Org Charts](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichorgchart.md)
* [Enrich Scoops](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichscoop.md)
* [Enrich Hashtags](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichhashtag.md)